:root {
	--fade: #F2F2F2;
	--red: #FF0000;
	--white: #FFFFFF;
}

body {
	overflow-x: hidden;
}

/***** loader styles */
#preload {
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	margin: auto;
	position: fixed;
	width: 100%;
	height: 100%;
	background-color: rgba(247, 196, 240, 0.5);
	z-index: 9999999;
	display: flex;
	align-items: center;
	justify-content: center;
	overflow: hidden;
	-webkit-transition: all 0.4s;
	-moz-transition: all 0.4s;
	transition: all 0.4s;
}
#preload .kd-bounce {
	width: 40px;
	height: 40px;
	position: relative;
	margin: 40px auto;
}
#preload .kd-bounce:before,
#preload .kd-bounce:after {
	content: '';
	display: block;
	width: 100%;
	height: 100%;
	border-radius: 50%;
	background-color: var(--e-global-color-accent);
	opacity: 0.4;
	filter: alpha(opacity=40);
	position: absolute;
	top: 0;
	left: 0;
	animation: kd-bounce 2.4s infinite ease-in-out;
}
#preload .kd-bounce:after {
	animation-delay: -1.2s;
}
@keyframes kd-bounce {
	0%,
	100% {
		transform: scale(0);
	}
	50% {
		transform: scale(1);
	}
}
/* loader styles *****/

.mini-header-top .row {
	display: flex;
}
.mini-header-top .row .col {
	width: 50%;
	text-align: left;
	padding: 15px;
}
.mini-header-top .row .col-12 {
	width: 100%;
	text-align: left;
	padding: 15px;
}

/* producto carrusel */
.product-image a {
	display: block;
	overflow: hidden;
	position: relative;
}
.product-image a img:first-child {
	display: block;
	left: 0px;
	position: relative;
	
	-webkit-transition: all 0.4s;
	-moz-transition: all 0.4s;
	transition: all 0.4s;
}
.product-image a img:last-child {
	display: block;
	left: 100%;
	position: absolute;
	top: 0px;
	
	-webkit-transition: all 0.4s;
	-moz-transition: all 0.4s;
	transition: all 0.4s;
}
.product-image a:hover img:first-child {
	left: -100%;
}
.product-image a:hover img:last-child {
	left: 0px;
}

.page-content a.product-title,
.product-title,
.product-title h4 {
	color: var(--e-global-color-primary);
	text-decoration: none;
}

.product-price {
	display: flex;
    justify-content: space-between;
	gap: 5px;
    width: 100%; /* Ajusta el ancho si es necesario */
}
.product-price div {
	background: var(--e-global-color-0dd4a23);
	font-size: 14px;
	text-align: center;
	padding: 10px 0px;
	width: 100%;
}
.product-price:hover div {
	/*background: var(--e-global-color-accent);*/
}
/*****/

.product-price {
    display: block;
    text-align: left;
    width: auto;
}
.product-price div {
    width: 100%;
	padding: 3px 0px 0px;
    display: block;
    text-align: center;
    background: none;
}
.page-content a.product-title,
.product-title,
.product-title h3,
.product-title h4 {
	display: block;
	margin-bottom: 0px;
	text-align: center;
}


/* */
.product-slide-entry a {
	display: block;
	text-align: center;
}
.product-slide-entry .price {
	display: block;
	
}
.product-slide-entry .price div {
    background: none;
    padding: 3px 0px 0px;
}
.product-slide-entry .price div span {
	display: inline-block;
}
/***/



body.single-product form.cart {
	display: none;
}

/* carrito */
.wc-block-cart-item__quantity .wc-block-components-quantity-selector {
	display: none
}
.is-large.wc-block-cart {
	border: 1px solid #DDD;
	box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.6);
	padding: 15px;
}

table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__quantity .wc-block-cart-item__remove-link {
	color: var(--red);
}

.is-large.wc-block-cart .wc-block-cart__submit-button,
.woocommerce-cart .wc-block-cart__submit-button {
	font-size: 18px;
    text-decoration: none;
    background: var(--e-global-color-accent);
    color: #FFF;
    font-weight: 600;
}
/***/

/* checkout */
.woocommerce-checkout .wc-block-checkout__terms.wc-block-checkout__terms--with-separator.wp-block-woocommerce-checkout-terms-block {
	display: none;
}
.contenedor-checkout-confirmation {
	background: #F2E2E0;
    padding: 10px 10px 10px 25px;
    margin: 0px 0px 10px;
}
.contenedor-checkout-confirmation input {
	margin-left: -15px;
}

.wc-block-components-checkout-place-order-button {
	font-size: 18px;
    text-decoration: none;
    background: var(--e-global-color-accent);
    color: #FFF;
    font-weight: 600;
}
/************/

/* search-container */
.btn-header-actions .icon.icon-search-2:hover {
	cursor: pointer;
}

#search-container {
	display: flex;
	/*display: flex;
	align-items: center;
	justify-content: center;
    position: fixed;
    background: rgba(0, 0, 0, 0.4);
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;*/
}

#search-container.hidden {
	display: none;
}

#search-container form {
	position: relative;
}

#search-container form .search-button {
	position: absolute;
	top: 0px;
	right: 0px;
}

#search-container .button-close-item {
    color: var(--white);
    position: fixed;
    top: 0px;
    right: 0px;
    height: 50px;
    width: 50px;
    font-size: 32px;
    line-height: 50px;
    font-weight: 100;
    text-align: center;
}

#search-container .button-close-item:hover {
	background: var(--e-global-color-accent);
	cursor: pointer;
}

#search-container form #input-search-query {
    border-radius: 0px;
    font-size: 14px;
    line-height: 14px;
    height: 50px;
    border: 0;
}

#search-container form .search-button input[type="submit"] {
    padding: 12px 50px 12px 50px;
    background: var(--e-global-color-accent);
    color: var(--white);
    font-weight: 600;
    border: 0;
    font-size: 14px;
    line-height: 14px;
    height: 50px;
}
/***/

body.wp-product-template-default {
	padding-top: 38px;
}

/* selft checkout */
.page-id-9683 .woocommerce-form-coupon-toggle,
.page-id-9683 .checkout_coupon.woocommerce-form-coupon,
.page-id-9683 .wt_coupon_wrapper,
.page-id-9683 #billing_company_field,
.page-id-9683 #billing_country_field,
.page-id-9683 #ship-to-different-address,
.page-id-9683 .woocommerce-additional-fields__field-wrapper {
	display: none;
}
.page-id-9683 table thead:first-child tr:first-child th,
.page-id-9683 .woocommerce table.shop_table {
	border: 0;
}
.page-id-9683 .woocommerce table.shop_table td {
    border: 0;
    padding: 2px 12px;
    font-size: 12px;
    line-height: 16px;
}
.page-id-9683 .product-name {
	width: 75%;
}
.page-id-9683 .woocommerce table.shop_table tbody th,
.page-id-9683 .woocommerce table.shop_table tfoot td,
.page-id-9683 .woocommerce table.shop_table tfoot th {
    font-weight: 700;
    border: 0;
}
.page-id-9683 .woocommerce-shipping-totals.shipping th:first-child {
	display: none;
}
.page-id-9683 .woocommerce-shipping-totals.shipping th:last-child {
	display: block;
}
.page-id-9683 .woocommerce form .form-row input.input-text,
.page-id-9683 .woocommerce form .form-row textarea,
.page-id-9683 .pac-target-input {
	padding: 2px 8px;
	border: 1px solid #CCC;
	background: #f2f2f2;
	font-size: 13px;
	font-weight: 400;
}
#tp-ajustes-wrapper {
	background: #f2f2f2;
	padding: 15px;
}
#tp_ajustes_field {
	margin: 0px;
	padding: 0px;
}
#tp_ajustes_field .woocommerce-input-wrapper .input-radio {
	margin-right: 5px;
}
#tp_ajustes_field .woocommerce-input-wrapper .input-radio,
#tp_ajustes_field .woocommerce-input-wrapper label {
	display: inline-block;
}
#tp_ajustes_field .woocommerce-input-wrapper label {
	margin-right: 15px;
}
#tp-ajustes-detalles,
#tp_ajustes_pinzas_field,
#tp_ajustes_bastillas_field,
#tp_ajustes_otros_field {
	padding: 0px;
	margin: 0px;
}
/***/


/* thankyou page */
.page-id-41 .ekit-template-content-header,
.page-id-41 #wpadminbar {
	display: none !important;
}
.page-id-41 .mensaje-thankyou {
	color: #c36;
}
.page-id-41 .page-header .entry-title, 
.page-id-41 .site-footer .footer-inner,
.page-id-41 .site-footer:not(.dynamic-footer),
.page-id-41 .site-header .header-inner,
.page-id-41 .site-header:not(.dynamic-header),
.page-id-41 body:not([class*=elementor-page-]) .site-main {
        text-align: center;
}
.page-id-41 .elementor-kit-6 h2,
.page-id-41.elementor-kit-6 h2 {
	text-align: center;
}
.page-id-41 .mensaje-thankyou {
	text-align: center;
}
.page-id-41 .mensaje-thankyou img {
	display: block;
	margin: 0 auto;
}
.page-id-41 .woocommerce-order {
	text-align: center;
}
.page-id-41 .woocommerce ul.order_details,
.page-id-41.woocommerce ul.order_details {
    margin: 0 30px;
}
.page-id-41 .woocommerce ul.order_details li,
.page-id-41.woocommerce ul.order_details li {
    display: block;
    float: none;
    border: 0;
    margin: 20px;
}
.page-id-41 .woocommerce table.shop_table,
.page-id-41 .woocommerce table.shop_table tr,
.page-id-41 .woocommerce table.shop_table tr th,
.page-id-41 .woocommerce table.shop_table tr td {
	border: 0px;
}
.page-id-41 .woocommerce table.shop_table tr th, .page-id-41 .woocommerce table.shop_table tr td {
    display: block;
    text-align: center;
    width: 100%;
    padding: 3px;
}
.page-id-41 .woocommerce table.shop_table tfoot {
	display: none !important;
}
.order-again {
	display: none !important;
}
/***/

.boton-abrir-filtros .elementor-icon-list-icon i {
    font-size: 1px !important;
    background: url('/wp-content/uploads/2025/12/ico-settings.png');
    height: 30px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 30px;
    width: 40px;
    padding: 0px;
    line-height: 1;
}

.visible-xs {
	display: none !important;
}

/* Medium & mobile devices (phone, tablets, 768px and less) */
@media screen and (max-width: 767px) {
	.visible-xs {
		display: block !important;
	}

	.hidden-xs {
		display: none !important;
	}
	
		.page-id-40 .alignwide {
			margin-left: 0px !important;
			margin-right: 0px !important;
		}
}

/* Mobile devices (tablet, 768px and up) */
@media (min-width: 768px) {

}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {

}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {

}

/* XXL Extra large devices (HD-4K, 1400px and up) */
@media (min-width: 1400px) {
	
}